/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

//
// Text
//

// Alignment

.text-justify { text-align: justify !important; }
.text-nowrap { white-space: nowrap !important; }

.text-truncate { 
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap; 
}

.text-left { text-align: left !important; }
.text-right { text-align: right !important; }
.text-center { text-align: center !important; }

// Transformation

.text-lowercase { text-transform: lowercase !important; }
.text-uppercase { text-transform: uppercase !important; }
.text-capitalize { text-transform: capitalize !important; }

// Weight and italics

.font-weight-normal { font-weight: $font-weight-normal !important; }
.font-weight-bold { font-weight: $font-weight-bold !important; }
.font-italic { font-style: italic !important; }

.text-muted { color: $text-muted !important; }

// Hide text
.text-hide {
  background-color: transparent;
  border: 0;
  color: transparent;
  font: 0/0 a;
  text-shadow: none;
}
